> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List escalation policies

`GET https://api.pagerduty.com/escalation_policies`

List all of the existing escalation policies.

Escalation policies define which user should be alerted at which time.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#escalation-policies)

Scoped OAuth requires: `escalation_policies.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |
| `query` | string |  | Filters the result, showing only the records whose name matches the query. |
| `user_ids[]` | array of string |  | Filters the results, showing only escalation policies on which any of the users is a target. Items must be unique. |
| `team_ids[]` | array of string |  | An array of team IDs. Only results related to these teams will be returned. Account must have the `teams` ability to use this parameter. Items must be unique. |
| `include[]` | string |  | Array of additional Models to include in response. One of: `services`, `teams`, `targets`, `escalation_rule_assignment_strategies`. Items must be unique. |
| `sort_by` | string |  | Used to specify the field you wish to sort the results on. One of: `name`, `name:asc`, `name:desc`. Default: `name`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated array of escalation policy objects.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `escalation_policies` | array of object | yes |  |
| `escalation_policies[].id` | string |  | Read-only. |
| `escalation_policies[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `escalation_policies[].type` | string | yes | The type of object being created. One of: `escalation_policy`. Default: `escalation_policy`. |
| `escalation_policies[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `escalation_policies[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `escalation_policies[].name` | string | yes | The name of the escalation policy. |
| `escalation_policies[].description` | string |  | Escalation policy description. |
| `escalation_policies[].num_loops` | integer |  | The number of times the escalation policy will repeat after reaching the end of its escalation. Default: `0`. Minimum: 0. |
| `escalation_policies[].on_call_handoff_notifications` | string |  | Determines how on call handoff notifications will be sent for users on the escalation policy. Defaults to "if_has_services". One of: `if_has_services`, `always`. |
| `escalation_policies[].escalation_rules` | array of object | yes |  |
| `escalation_policies[].escalation_rules[].id` | string |  | Read-only. |
| `escalation_policies[].escalation_rules[].escalation_delay_in_minutes` | integer | yes | The number of minutes before an unacknowledged incident escalates away from this rule. |
| `escalation_policies[].escalation_rules[].targets` | array of object | yes | The targets an incident should be assigned to upon reaching this rule. Min items: 1. Max items: 10. |
| `escalation_policies[].escalation_rules[].targets[].id` | string | yes | Read-only. |
| `escalation_policies[].escalation_rules[].targets[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `escalation_policies[].escalation_rules[].targets[].type` | string | yes | One of: `user`, `schedule`, `user_reference`, `schedule_reference`, `schedule_v3_reference`. |
| `escalation_policies[].escalation_rules[].targets[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `escalation_policies[].escalation_rules[].targets[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `escalation_policies[].escalation_rules[].escalation_rule_assignment_strategy` | string |  | The strategy used to assign the escalation rule to an incident. One of: `round_robin`, `assign_to_everyone`. |
| `escalation_policies[].services` | array of object |  | Read-only. Min length: 0. |
| `escalation_policies[].services[].id` | string | yes | Read-only. |
| `escalation_policies[].services[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `escalation_policies[].services[].type` | string | yes | One of: `service_reference`. |
| `escalation_policies[].services[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `escalation_policies[].services[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `escalation_policies[].teams` | array of object |  | Team associated with the policy. Account must have the `teams` ability to use this parameter. Only one team may be associated with the policy. Min length: 0. |
| `escalation_policies[].teams[].id` | string | yes | Read-only. |
| `escalation_policies[].teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `escalation_policies[].teams[].type` | string | yes | One of: `team_reference`. |
| `escalation_policies[].teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `escalation_policies[].teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |

Example: Response Example

```json
{
  "escalation_policies": [
    {
      "id": "PANZZEQ",
      "type": "escalation_policy",
      "summary": "Engineering Escalation Policy",
      "on_call_handoff_notifications": "if_has_services",
      "self": "https://api.pagerduty.com/escalation_policies/PANZZEQ",
      "html_url": "https://subdomain.pagerduty.com/escalation_policies/PANZZEQ",
      "name": "Engineering Escalation Policy",
      "escalation_rules": [
        {
          "id": "PANZZEQ",
          "escalation_delay_in_minutes": 30,
          "targets": [
            {
              "id": "PEYSGVF",
              "summary": "PagerDuty Admin",
              "type": "user_reference",
              "self": "https://api.pagerduty.com/users/PEYSGVF",
              "html_url": "https://subdomain.pagerduty.com/users/PEYSGVF"
            },
            {
              "id": "PI7DH85",
              "summary": "Daily Engineering Rotation",
              "type": "schedule_reference",
              "self": "https://api.pagerduty.com/schedules/PI7DH85",
              "html_url": "https://subdomain.pagerduty.com/schedules/PI7DH85"
            }
          ]
        }
      ],
      "services": [
        {
          "id": "PIJ90N7",
          "type": "service_reference",
          "summary": "My Mail Service",
          "self": "https://api.pagerduty.com/services/PIJ90N7",
          "html_url": "https://subdomain.pagerduty.com/service-directory/PIJ90N7"
        }
      ],
      "num_loops": 0,
      "teams": [
        {
          "id": "PQ9K7I8",
          "type": "team_reference",
          "summary": "Engineering",
          "self": "https://api.pagerduty.com/teams/PQ9K7I8",
          "html_url": "https://subdomain.pagerduty.com/teams/PQ9K7I8"
        }
      ]
    }
  ],
  "limit": 25,
  "offset": 0,
  "more": false,
  "total": null
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
